<jboss-deployment-structure>
	<deployment>
		<module-alias name="deployment.d4science.spi" />
	</deployment>
	<sub-deployment name="avatar-importer.jar">
		<dependencies>
			<module name="com.google.guava" />
			<module name="org.apache.commons.codec" />
			<module name="org.apache.commons.lang" />
			<module name="org.apache.commons.io" />
			<module name="org.gcube.keycloak.avatar-storage" />
			<module name="org.keycloak.keycloak-core" />
			<module name="org.keycloak.keycloak-server-spi" />
			<module name="org.keycloak.keycloak-server-spi-private" />
			<module name="org.keycloak.keycloak-services" />
			<module name="org.jboss.logging" />
			<module name="org.slf4j" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="avatar-realm-resource.jar">
		<dependencies>
			<module name="javax.servlet.api" />
			<module name="javax.ws.rs.api" />
			<module name="org.apache.commons.io" />
			<module name="org.gcube.keycloak.avatar-storage" />
			<module name="org.hibernate" />
			<module name="org.keycloak.keycloak-core" />
			<module name="org.keycloak.keycloak-ldap-federation" />
			<module name="org.keycloak.keycloak-server-spi" />
			<module name="org.keycloak.keycloak-server-spi-private" />
			<module name="org.keycloak.keycloak-services" />
			<module name="org.jboss.logging" />
			<module name="org.jboss.resteasy.resteasy-jaxb-provider" />
			<module name="org.jboss.resteasy.resteasy-jaxrs" />
			<module name="org.jboss.resteasy.resteasy-multipart-provider" />
			<module name="org.slf4j" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="delete-account.jar">
		<dependencies>
			<module name="javax.servlet.api" />
			<module name="javax.ws.rs.api" />
			<module name="org.gcube.keycloak.avatar-storage" />
			<module name="org.keycloak.keycloak-core" />
			<module name="org.keycloak.keycloak-server-spi" />
			<module name="org.keycloak.keycloak-server-spi-private" />
			<module name="org.keycloak.keycloak-services" />
			<module name="org.jboss.logging" />
			<module name="org.jboss.resteasy.resteasy-jaxrs" />
			<module name="org.slf4j" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="event-listener-provider.jar">
		<dependencies>
			<module name="org.keycloak.keycloak-core" />
			<module name="org.keycloak.keycloak-server-spi" />
			<module name="org.keycloak.keycloak-server-spi-private" />
			<module name="org.keycloak.keycloak-services" />
			<module name="org.jboss.logging" />
			<module name="org.slf4j" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="identity-provider-mapper.jar">
		<dependencies>
			<module name="org.keycloak.keycloak-core" />
			<module name="org.keycloak.keycloak-server-spi" />
			<module name="org.keycloak.keycloak-server-spi-private" />
			<module name="org.keycloak.keycloak-services" />
			<module name="org.jboss.logging" />
			<module name="org.slf4j" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="keycloak-d4science-theme.jar">
		<dependencies>
			<module name="org.keycloak.keycloak-core" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="keycloak-d4science-script.jar">
		<dependencies>
			<module name="org.keycloak.keycloak-core" />
		</dependencies>
	</sub-deployment>
	<sub-deployment name="ldap-storage-mapper.jar">
		<dependencies>
			<module name="org.keycloak.keycloak-core" />
			<module name="org.keycloak.keycloak-ldap-federation" />
			<module name="org.keycloak.keycloak-server-spi" />
			<module name="org.keycloak.keycloak-server-spi-private" />
			<module name="org.keycloak.keycloak-services" />
			<module name="org.jboss.logging" />
			<module name="org.slf4j" />
		</dependencies>
	</sub-deployment>
</jboss-deployment-structure>